Day -7

发生了许多不开心的事情,状态有点差,但是还是好好准备了,按模拟赛的情况应该不至于 \(200-\)。

Day 0

在机房严肃声称今年一定不会考字符串。

晚上 duel 了两场 \(2600\sim 2800\),第一场是个 \(2700\) 简单题,只用了 \(40\) 分钟就切了,第二场是个 \(2700\) 困难题,\(n=10^6\) 计数 dp 拼尽全力不会多项式做法,有点呃呃。

Day 1

早上八点半就来机房了,过了一会发现自己有点困,于是回宿舍尝试睡觉,但是没睡着。

\(12\) 点发现没吃早餐并且不想吃东西,但是还是去买了饭团和巧克力,其实这个饭团挺好吃的(?)。

来到考场并进行了简单的合影与聊天就进考场了(好像机位有点小放不完东西?)。

T1 一眼秒了,熟悉了一下键盘并打好板子,过 T1 大样例用了 \(10\) 分钟,不过这个键盘不怎么符合我的手感。

T2 阅读题面 \(5\) 分钟看懂了,并注意到 \(n=500\) 仅用 \(0\) 秒想到了用什么算法,发现直接建边好像复杂度有点爆炸,再看一眼发现 \(d\le 20\),于是直接暴力做就对了,我似乎有点没睡醒把我第一个样例的输出对着第二个大样例的答案愣了一会(PDF 题面好像不小心被我翻到了下面),发现后测后面大样例全过了,此时大概刚过 \(15{:}00\),前两题放这么简单感觉有点呃呃,带着 \(3\) 小时至少能切后面一个题的想法开 T3。

T3 看懂题意后感觉不是很一眼,于是看了看 T4,发现 T4 是我比较擅长的树就放松了一点,于是回到 T3 开始想做法。

大概 \(5\) 分钟会了 \(n^2\),枚举左端点直接 dp 就行,写了一下发现很正确。

大概用了一个小时想如何刻画这个 dp,发现按最短距离分层后只关心最后两个点的方案数就可以推到下一层,然后考虑移起点,发现分层总数只有 \(O(n)\),那么暴力维护这个 dp 复杂度就对了。

考虑怎么实现,可能当时脑子不太清醒用了二分转移加上链表刻画每个层,写了特别长的代码并通过了两个小样例,然后测大样例发现过不了,此时大概过去了两个半小时。

安慰了一下自己还有一个半小时一定能调出来的,然后就拿了个小点的样例出来调,由于代码很长且细节比较多,调了挺久才过我拿出来的这个小样例,但是再次回去测大样例,还是无法通过。

瞪眼法找了蛮久错,终于又发现了一个细节错误,带着担心再次测大样例,还是无法通过,此时已经 \(18{:}00\) 了,还没开 T4,我决定先打 T4 的暴力。

花了十分钟写了 \(O(\binom{n}{k}\times n)\) 的暴力,然后剩下的二十分钟只能看着 T3 的错误代码试图找到错误(此时我已经增加这个代码的复杂度来换取正确性了),但是一直找不到,脑子乱作一团,于是这 \(20\) 分钟只能绝望地看着自己的错误代码却没有任何办法。

走出考场天已经黑了,当时的心态几乎崩溃到极点,也或许已经在绝望中麻木了,身子止不住地颤抖,花了一会平复心情就离开了考场。

最后

考后听很多人说大样例很水什么的,并且知道了有 inf 个人通过了 T3,有点呃呃,不过我应该没有挂分。

第二天发现,其实我 T3 的思路直接记忆化搜索会好写一万倍,并且我认为如果考场上实现出来对于我来说是绝对没问题的,但那又有什么用呢,只能承认自己就是技不如人不能调出来也没办法在考场上想到更好的实现方式。

感觉这种绝望已经无法描述了,我又是以怎样的心态写下这篇游记的呢,感觉很对不起以前努力的自己啊。

会没事的吧。